{% extends "base.html" %}

{% block extra_javascript %}
<script src="https://cdn.jsdelivr.net/npm/signature_pad@4.1.5/dist/signature_pad.umd.min.js"></script>
{% endblock %}

{% block title %}Contrat à signer{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'client-edit' client.pk %}">{{ client.nom_prenom }}</a></li>
<li class="breadcrumb-item active" aria-current="page">Contrat à signer</li>
{% endblock %}

{% block content %}
<iframe src="{% url 'client-contrat' client.pk %}?attach=no&forsign=yes" frameborder="0" height="1600" width="100%">
</iframe>

<form id="signature_form" method="post" class="unmonitor">{% csrf_token %}
    <input type="hidden" id="sig_data_cl_id" name="sig_data_cl" value="">
    <input type="hidden" id="sig_data_cr_id" name="sig_data_cr" value="">
    <p>
        <label for="lieu_id">Lieu :</label> <input type="text" id="lieu_id" name="lieu" value="" required>
    </p>
    <div>
        <div class="fw-bold">Pour le client :</div>
        <canvas class="signature_canvas" height="300" width="600"  data-input="sig_data_cl_id"></canvas><br>
        <button type="button" class="btn btn-secondary clear">Effacer</button>
    </div>
    <div class="mt-4">
        <div><b>Pour la Croix-Rouge :</b> {{ user.last_name }} {{ user.first_name }}</div>
        <canvas class="signature_canvas" height="300" width="600"  data-input="sig_data_cr_id"></canvas><br>
        <button type="button" class="btn btn-secondary clear">Effacer</button>
    </div>

    <div class="text-end" width="300">
        <button id="save" type="submit" class="btn btn-primary">Valider</button>
    </div>
</form>
{% endblock %}
